Upstream information

CVE-2017-14166 at MITRE

Description

libarchive 3.3.2 allows remote attackers to cause a denial of service (xml_data heap-based buffer over-read and application crash) via a crafted xar archive, related to the mishandling of empty strings in the atol8 function in archive_read_support_format_xar.c.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  SUSE
Base Score 6.1
Vector AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:L
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact None
Availability Impact Low
SUSE Bugzilla entry: 1057514 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP3
  • libarchive >= 3.1.2-26.3.1
  • libarchive13 >= 3.1.2-26.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-2594
SUSE Linux Enterprise Module for Basesystem 15
  • libarchive-devel >= 3.3.2-1.27
  • libarchive13 >= 3.3.2-1.27
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libarchive-devel
SUSE Linux Enterprise Module for Development Tools 15
  • bsdtar >= 3.3.2-1.27
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 GA bsdtar
SUSE Linux Enterprise Server 12 SP3
  • libarchive >= 3.1.2-26.3.1
  • libarchive13 >= 3.1.2-26.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-2594
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libarchive >= 3.1.2-26.3.1
  • libarchive13 >= 3.1.2-26.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-2594
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libarchive >= 3.1.2-26.3.1
  • libarchive-devel >= 3.1.2-26.3.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-2594
openSUSE Leap 15.0
  • libarchive13 >= 3.3.2-lp150.1.9
Patchnames:
openSUSE Leap 15.0 GA libarchive13
openSUSE Leap 42.3
  • bsdtar >= 3.1.2-20.3.1
  • bsdtar-debuginfo >= 3.1.2-20.3.1
  • libarchive >= 3.1.2-20.3.1
  • libarchive-debugsource >= 3.1.2-20.3.1
  • libarchive-devel >= 3.1.2-20.3.1
  • libarchive13 >= 3.1.2-20.3.1
  • libarchive13-32bit >= 3.1.2-20.3.1
  • libarchive13-debuginfo >= 3.1.2-20.3.1
  • libarchive13-debuginfo-32bit >= 3.1.2-20.3.1
Patchnames:
openSUSE-2018-1366


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 libarchive Affected
SUSE Linux Enterprise Desktop 12 SP3 libarchive Released
SUSE Linux Enterprise Module for Basesystem 15 GA libarchive Affected
SUSE Linux Enterprise Module for Development Tools 15 GA libarchive Affected
SUSE Linux Enterprise SDK 12 SP2 libarchive Affected
SUSE Linux Enterprise SDK 12 SP3 libarchive Released
SUSE Linux Enterprise Server 12 GA LTSS libarchive Affected
SUSE Linux Enterprise Server 12 SP1 LTSS libarchive Affected
SUSE Linux Enterprise Server 12 SP2 libarchive Affected
SUSE Linux Enterprise Server 12 SP2 LTSS libarchive Affected
SUSE Linux Enterprise Server 12 SP3 libarchive Released